if (down() .and. (current%level == init_level_list%full)) call full_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%set_initial_values)) call set_initial_values_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_initial_values)) call override_initial_values_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%fields_level_2)) call fields_level_2_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%collisions)) call collisions_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_level_3)) call dist_fn_level_3_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_timestep)) call override_timestep_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_level_2)) call dist_fn_level_2_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_level_1)) call dist_fn_level_1_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_arrays)) call dist_fn_arrays_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%nonlinear_terms)) call nonlinear_terms_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%fields_level_1)) call fields_level_1_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_layouts)) call dist_fn_layouts_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%dist_fn_parameters)) call dist_fn_parameters_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%antenna)) call antenna_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%le_grids)) call le_grids_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_profiles)) call override_profiles_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%species)) call species_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%hyper)) call hyper_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%run_parameters)) call run_parameters_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%kt_grids)) call kt_grids_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_kt_grids)) call override_kt_grids_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%kt_grids_parameters)) call kt_grids_parameters_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%theta_grid)) call theta_grid_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_miller_geometry)) call override_miller_geometry_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%override_optimisations)) call override_optimisations_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%init_g)) call init_g_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%gs2_save)) call gs2_save_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%fields_parameters)) call fields_parameters_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%theta_grid_params)) call theta_grid_params_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%normalisations)) call normalisations_subroutine(.false.)
    if (down() .and. (current%level == init_level_list%gs2_layouts)) call gs2_layouts_subroutine(.false.)